Hard delete rates
Hard deletes rates from the system that match the provided dimensions. This is a destructive operation and cannot be undone. If an empty dimensions object is provided, all rates will be hard deleted. The maximum number of rates this API will delete at a time is 10000. Returns the number of rates deleted and if that number is the maximum, the caller should call this API again to continue deleting rates.
Authorization
BearerAuth Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
A dimensions object where all properties are optional.
Response Body
application/json
curl -X POST "https://example.com/api/fee-schedules/v3/hard-delete" \ -H "Content-Type: application/json" \ -d '{ "states": [ "AA" ], "zip_codes": [ "string" ], "license_types": [ "MD" ], "facility_type_codes": [ "01" ], "network_types": [ "12" ], "payer_plan_group_ids": [ "d5a5a3d6-e046-4f56-bd9b-be28db4d8639" ], "modifiers": [ "AV" ] }'0Upload fee schedule POST
Uploads a new fee schedule. Each rate may either be totally new as qualified by its dimensions or a new version for an existing rate. If adding a new version to an existing rate, the rate must be posted with the next version number (previous version + 1) or a EntityConflictError will be returned. Use the dry run flag to discover already existing rates and to run validations. If validations for any rate fail, no rates will be saved to the system.
Hard delete rates by IDs POST
Hard deletes specific rates from the system by their IDs. This is a destructive operation and cannot be undone. Limited to 100 rate IDs maximum per request. For bulk deletion of more than 100 rates, use the hard_delete_rates endpoint with dimension filters. Returns the number of rates deleted.